#### POSIX Threads for Windows – REFERENCE - Pthreads-w32

Reference Index

Table of Contents

## Name

pthread_getunique_np – get the unique sequence number associated with a thread

## Synopsis

#include <pthread.h>

unsigned long long pthread_getunique_np(pthread_t thread);

## Description

Returns the unique 64 bit sequence number assigned to thread.

In Pthreads-win32:

- the value returned is not reused after the thread terminates so it is unique for the life of the process

- Windows native threads may obtain their own POSIX thread sequence number by first retrieving their pthread_t handle via pthread_self to use as the thread argument.

This function was added for source code compatibility with some other POSIX threads implementations.

## Cancellation

None.

## Return Value

pthread_getunique_np returns the unique sequence number for thread.

## Errors

None.

## Author

Ross Johnson for use with Pthreads-w32.

Table of Contents

- Name

- Synopsis

- Description

- Cancellation

- Return Value

- Errors

- Author